Skip to main content
GET
/
v2
/
pikzonality
/
{id}
cURL
curl -X GET "https://api.pikzels.com/v2/pikzonality/18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234" \
  -H "X-Api-Key: pkz_yourapikey"
{
  "name": "Creator Studio",
  "id": "18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234",
  "mode": "persona",
  "portrait_url": "https://cdn.pikzels.com/example.png",
  "progress": 1,
  "reference": [
    "I bought my own island"
  ],
  "special_instructions": "Use cinematic colors and stronger contrast.",
  "status": "completed"
}

Headers

X-Api-Key
string
required

Your Pikzels API key (prefix: pkz_)

Path Parameters

id
string
required

Response

Success

name
string
id
string
mode
string

Allowed values: "persona", "style".

portrait_url
string | null

PFP URL (null until completed)

progress
number

0-100

reference
string[] | null

Reference image URLs (null until completed)

special_instructions
string | null
status
string

Allowed values: "processing", "completed", "failed".